| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Typedefs
OgreD3D11Prerequisites.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMinGWSupport.h"`
`#include "OgreComPtr.h"`
`#include "OgreException.h"`
`#include <d3d11.h>`
`#include <d3d11shader.h>`
`#include <d3dcompiler.h>`

## Classes
class | Ogre::D3D11RenderingAPIException

## Namespaces
| Ogre

## Macros
#define | _OgreD3D11Export
#define | NOMINMAX
#define | OGRE_EXCEPT_EX(code, num, desc, src) throw Ogre::D3D11RenderingAPIException(num, desc, src, __FILE__, __LINE__)
#define | SAFE_DELETE(p) { if(p) { delete (p); (p)=NULL; } }
#define | SAFE_DELETE_ARRAY(p) { if(p) { delete[] (p); (p)=NULL; } }
#define | SAFE_RELEASE(p) { if(p) { (p)->Release(); (p)=NULL; } }

## Typedefs
typedef SharedPtr< D3D11HLSLProgram > | Ogre::D3D11HLSLProgramPtr
typedef SharedPtr< D3D11Texture > | Ogre::D3D11TexturePtr

## Macro Definition Documentation

## ◆ OGRE_EXCEPT_EX

#define OGRE_EXCEPT_EX | ( |  | code,
|  |  | num,
|  |  | desc,
|  |  | src
| ) |  | throw Ogre::D3D11RenderingAPIException(num, desc, src, __FILE__, __LINE__)

## ◆ SAFE_DELETE

#define SAFE_DELETE | ( |  | p | ) | { if(p) { delete (p); (p)=NULL; } }

## ◆ SAFE_DELETE_ARRAY

#define SAFE_DELETE_ARRAY | ( |  | p | ) | { if(p) { delete[] (p); (p)=NULL; } }

## ◆ SAFE_RELEASE

#define SAFE_RELEASE | ( |  | p | ) | { if(p) { (p)->Release(); (p)=NULL; } }

## ◆ NOMINMAX

#define NOMINMAX

## ◆ _OgreD3D11Export

#define _OgreD3D11Export